Bug 255416 - Send To: Scripts List has bogus Add to Palette context menu
Send To: Scripts List has bogus Add to Palette context menu
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
8.1
PC Windows 7
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-19 06:48 UTC by MackSix
Modified: 2016-12-08 09:51 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Screenshot (87.27 KB, image/png)
2015-09-19 06:48 UTC, MackSix
Details
proposed patch (1.02 KB, patch)
2016-11-01 10:50 UTC, Alexander Simon
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description MackSix 2015-09-19 06:48:55 UTC
Created attachment 156295 [details]
Screenshot

1. Go to Tools->Options->Miscellaneous->Send To
2. Right click on on of the entries in Script Lists and there is a bogus Tools menu that does nothing.

See screenshot.


Product Version: NetBeans IDE Dev (Build 201509180002)
Java: 1.8.0_60; Java HotSpot(TM) 64-Bit Server VM 25.60-b23
Runtime: Java(TM) SE Runtime Environment 1.8.0_60-b27
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)
Comment 1 Alexander Simon 2016-10-31 15:32:28 UTC
fixed in enum, branch release82, change set 525a59084c5b
Comment 2 Alexander Simon 2016-11-01 10:48:06 UTC
additional fix in enum, branch release82, change set cc023262b20f
- better fix for send-to
- fix mixed development
Comment 3 Alexander Simon 2016-11-01 10:50:51 UTC
Created attachment 162709 [details]
proposed patch
Comment 4 Alexander Simon 2016-11-01 10:56:28 UTC
GUI builder team, please review proposed patch.
I'm going to integrate it in release82 patch.

Thanks,
Alexander
Comment 5 Tomas Pavek 2016-11-01 12:05:12 UTC
Patch looks good, thanks.
Comment 6 Alexander Simon 2016-11-01 12:52:40 UTC
additional fix in enum, branch release82, change set 8e5057c58205
- fixed palette menu
Comment 7 Quality Engineering 2016-11-10 03:22:32 UTC
Integrated into 'main-silver', will be available in build *201611100001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/71a3330af866
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #255416 Send To: Scripts List has bogus Add to Palette context menu
(transplanted from 525a59084c5b06eaa2f27aceed9d4eed3d928758)
Comment 8 soldatov 2016-12-08 09:51:43 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo